# Series-SRTs-To-MKS

Just a small script to pack the subtitle files (.srt) of a series into Matroska containers (.mks) so that they are perfectly tagged and available for further use. Just a small script to pack the subtitle files (.srt) of a series into Matroska containers (.mks) so that they are perfectly tagged and available for further use. The script is somewhat rudimentary, but can certainly save a lot of work.

## Dependencies
- mkvmerge (part of [MKVToolNix](https://mkvtoolnix.download/downloads.html))

## Prerequisites
Make sure that the folder structure of your subtitle files corresponds to the following example and that the script is located in the root directory:

```
Series XY
├── create_mks_files.py
└── Staffel 1
    ├── E01
    │   ├── English Forced.srt
    │   ├── English Full.srt
    │   ├── German Forced.srt
    │   └── German Full.srt
    ├── E02
    │   ├── English Full.srt
    │   └── German Full.srt
    └── E03
        ├── English Full.srt
        ├── German Forced.srt
        └── German Full.srt
```

## Usage
```shell
python series-srts-to-mks.py
```

## Result
After the script has run, there is a folder called "\_\_mks\_\_" in each season folder, which contains the finished Matroska containers.

```
Series XY
├── create_mks_files.py
└── Staffel 1
    ├── E01
    │   ├── English Forced.srt
    │   ├── English Full.srt
    │   ├── German Forced.srt
    │   └── German Full.srt
    ├── E02
    │   ├── English Full.srt
    │   └── German Full.srt
    ├── E03
    |   ├── English Full.srt
    |   ├── German Forced.srt
    |   └── German Full.srt
    └── __mks__
        ├── S01E01.mks
        ├── S01E02.mks
        └── S01E03.mks
```

